need_uconvert(3)

NAME
need_uconvert

SYNOPSIS
#include <allegro.h>

int need_uconvert(const char *s, int type, int newtype);

DESCRIPTION
Given a pointer to a string, a description of the type of the string, and the type that you would like this string to be converted into, this function tells you whether any conversion is required. No conversion will be needed if type and newtype are the same, or if one type is ASCII, the other is UTF-8, and the string contains only character values less than 128. As a convenience shortcut, you can pass the value U_CURRENT as either of the type parameters, to represent whatever text format is currently selected.

SEE ALSO
set_uformat(3), get_uformat(3), do_uconvert(3), uconvert(3)